Bug 128544 - upgrade failure /var partition full
Summary: upgrade failure /var partition full
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: 2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-24 23:34 UTC by Ron Humble
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-14 21:08:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ron Humble 2004-07-24 23:34:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Upgrade from Fedora Core 1 to Core 2 failed with error message that
CD-ROM media may be corrupt. Failure was in processing large files
(openoffice, kdebase, kernel-source). After each failure the RPM on
the system being upgraded was removed or upgraded using the Rescue
Disk and installation CDs and upgrade restarted. Apparently RPMs are
copied to /var/tmp/ prior to installation as the above large file
names were present as zero byte files in /var/tmp/ after multiple
upgrade attempts finally succeeded.

/var on my system is mounted on a separate partition (/dev/hdb8).
Perhaps after the install image is copied to hard disk the /var
(specifically /var/tmp) directory needs to be checked for adequate space?

Ron H.

Version-Release number of selected component (if applicable):
N/A

How reproducible:
Always

Steps to Reproduce:
1. /var/ mounted on a separate partition with say 60Mb free space
2. Attempt to upgrade from Fedora Core 1 to Core 2
3.
    

Actual Results:  Incorrect error saying if installing from CD-ROM the
media may be corrupt. Media is to the best of my ability not a fault.
Install was aborted.

Expected Results:  Installation should have completed. Was left with a
partially upgraded system after each attempt. Once each attempt was
done the number of disks required was reduced (i.e. after openoffice
removed and upgrade restarted, only disks 2,3,4 were required).

Additional info:


Note You need to log in before you can comment on or make changes to this bug.